package com.goafanti.common.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 项目任务日志
 * @TableName t_task_log
 */
public class TTaskLog implements Serializable {
    /**
     * 流转id
     */
    private Integer id;

    /**
     * 任务id
     */
    private Integer taskId;

    /**
     * 分派人
     */
    private String taskAllocator;

    /**
     * 归属人
     */
    private String taskReceiver;

    /**
     * 分配时间
     */
    private Date createTime;

    /**
     * 状态 0=咨询师管理员派单，1=咨询师经理派单，2=咨询师经理转交，3=咨询师转交，4=咨询师回退
     */
    private Integer status;

    private static final long serialVersionUID = 1L;

    /**
     * 流转id
     */
    public Integer getId() {
        return id;
    }

    /**
     * 流转id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 任务id
     */
    public Integer getTaskId() {
        return taskId;
    }

    /**
     * 任务id
     */
    public void setTaskId(Integer taskId) {
        this.taskId = taskId;
    }

    /**
     * 分派人
     */
    public String getTaskAllocator() {
        return taskAllocator;
    }

    /**
     * 分派人
     */
    public void setTaskAllocator(String taskAllocator) {
        this.taskAllocator = taskAllocator;
    }

    /**
     * 归属人
     */
    public String getTaskReceiver() {
        return taskReceiver;
    }

    /**
     * 归属人
     */
    public void setTaskReceiver(String taskReceiver) {
        this.taskReceiver = taskReceiver;
    }

    /**
     * 分配时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 分配时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 状态 0=咨询师管理员派单，1=咨询师经理派单，2=咨询师经理转交，3=咨询师转交，4=咨询师回退
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 状态 0=咨询师管理员派单，1=咨询师经理派单，2=咨询师经理转交，3=咨询师转交，4=咨询师回退
     */
    public void setStatus(Integer status) {
        this.status = status;
    }
}